Subject: FW: Harmonizing proposals from EACEM and the IETF

From: Dan Zigmond <[email-masked]>
Date: Mon, 14 Dec 1998 15:35:19 -0800

Unfortunately, David Tarrant needed this today (actually, yesterday my
time), so I wasn't able to post it to the list in advance.  But I wanted to
distribute a copy so people know the current status.

Thanks to everyone who attended our meeting last Thursday.  I hope to have
minutes distributed on the mialing list shortly.

	Dan

---------------------------------------------------
Dan Zigmond
Senior Manager, Interactive Television Technology
WebTV Networks, Inc.
[email-masked]
---------------------------------------------------

> -----Original Message-----
> From:	Dan Zigmond 
> Sent:	Monday, December 14, 1998 3:34 PM
> To:	'Rony Van Haegenbergh - EACEM Technical Director'; 'Toni Graziano -
> EACEM secretariat'; 'Jan van Lier - Chairman of EACEM Data Services group'
> Cc:	'John Clancy'; 'Dave Rayers'; 'Simon Wegerif'; 'David Tarrant'
> Subject:	Harmonizing proposals from EACEM and the IETF
> 
> I am writing as chair of the IP over VBI working group of the Internet
> Engineering Task Force (IETF), on the advice of David Tarrant of Philips.
> Last week, David made a presentation to our working group on the "Teletext
> Independent Data Line - Format B" specification, which I believe is being
> developed by EACEM Project Team 1.4.
> 
> As you may know, our working group is trying to help standardize the
> mechanism for transmitting IP datagrams on the vertical blanking interval
> of analog television signals.  We have broken this problem into two
> pieces: the transmission of IP data using NABTS byte encoding, and the
> transmission of IP data using WST byte encoding.  We have spent much of
> the last several months focusing on the NABTS-based specification, and are
> nearing completion (the current draft is available at
> http://ietf.org/internet-drafts/draft-ietf-ipvbi-nabts-00.txt).  We are
> now turning our attention to WST, and so were quite interested in the
> EACEM work presented by David Tarrant.
> 
> The Format B proposal was quite well received by our group, and the
> general consensus seemed to be that it represented a very useful step
> forward for us.  By specifying the packet format and FEC for IP over WST,
> you will greatly simplify our work in this area.  All we will have to do
> is describe the details of the framing and compression of IP packets (both
> of which are already described in the NABTS draft and need not change for
> WST).  This will certainly help speed the publication and adoption of our
> WST specification.
> 
> However, the one concern that arose in our discussions was that the FEC
> proposed for Format B is slightly different than that used in our
> NABTS-based specification.  We have chosen the FEC commonly known as the
> Norpak FEC, which has been very widely implemented, deployed, and tested
> in NABTS systems around the world.  It is our feeling that it would be
> ideal if the same FEC could be used for both NABTS and WST systems.  This
> would simplify development and testing of IP over VBI systems, and we hope
> ultimately reduce costs through greater volumes.
> 
> Although I myself am not an expert on FEC design, my understanding from
> talking to people in North America, Asia, and Europe is that the
> differences between the FEC algorithm we have proposed (the so-called
> Norpak FEC) and the one EACEM is proposing (often called the "Philips
> FEC") are technically insignificant: the performance is virtually
> identical, and the implementations likely to be roughly equal complexity
> and efficiency.  We chose the Norpak FEC because there had been
> independent implementations on everything from primitive analog set-top
> boxes and televisions to personal computers, and because it had been used
> in the field by real broadcasters in many different countries under many
> different circumstances.
> 
> We would like to propose the possibility that EACEM consider changing the
> Format B proposal to incorporate this Norpak FEC.  This would then smooth
> the way for us in turn to adopt the Format B packet structure in our
> coming WST specification, and result in a complete harmonization of the
> EACEM and IETF proposals.
> 
> Please let me know if it might be possible to discuss this idea further.
> We are very eager to ensure that our proposed standards are completely in
> line with the work you are doing to improve the VBI standards in Europe.
> I hope that this idea might help us both to achieve our goals.
> 
> Sincerely,
> 
> 	Dan Zigmond
> 
> 
> ---------------------------------------------------
> Dan Zigmond
> Senior Manager, Interactive Television Technology
> WebTV Networks, Inc.
> Chair, IPVBI Working Group, IETF
> [email-masked]
> ---------------------------------------------------
>